kompendium
2.0.1
2.0.2 2.0.1

# Kontent

object Kontent
Content copied to clipboard

Responsible for generating the schema map that is used to power all object references across the API Spec.

## Functions

generateKontent
Link copied to clipboard
inline fun < T > generateKontent (cache: SchemaMap = emptyMap()): SchemaMap
Content copied to clipboard

Analyzes a type T for its top-level and any nested schemas, and adds them to a SchemaMap, if provided

fun generateKontent (type: KType , cache: SchemaMap = emptyMap()): SchemaMap
Content copied to clipboard

Analyzes a KType for its top-level and any nested schemas, and adds them to a SchemaMap, if provided

generateKTypeKontent
Link copied to clipboard
fun generateKTypeKontent (type: KType , cache: SchemaMap = emptyMap()): SchemaMap
Content copied to clipboard

Recursively fills schema map depending on KType classifier